count_unconnected_node_pairs {DiagrammeR} | R Documentation

## Get the number of unconnected node pairs

### Description

Get the number of unconnected node pairs. This works for directed graphs.

### Usage

    count_unconnected_node_pairs(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a single numeric value representing the number of unconnected node pairs.

### Examples

    # Create a cycle graph
    graph <-
      create_graph() %>%
      add_cycle(n = 5)

    # Get a count of unconnected node
    # pairs in the graph
    graph %>%
      count_unconnected_node_pairs()

    # Create a full graph and then
    # count all unconnected node pairs
    create_graph() %>%
      add_full_graph(n = 10) %>%
      count_unconnected_node_pairs()

[Package DiagrammeR version 1.0.1 Index]